TYPO3.TYPO3CR - Bug # 58428

Status: Resolved Priority: Should have
Author: Carsten Bleicker Category: Node handling
Created: 2014-05-02 Assigned To:

Updated: 2014-06-20 Due date:

Subiject: Set Unique Name if Exists in Structure

Description

copy or moving a node currently counts up the name with appending '-'.n
If two users copying the same image f.e. on the same page, and the image has the nodename "node1239",
both copied nodenames are "node1239-1", in both workspaces.

user 1 puplishing ... anything is fine.

user 2 publishing after user 1 gets an exception that node1239-1 already exists.

he cant edit the nodename on normal content nodes. he does not know anything about the nodename and also can not
locate the node to delete it.

Associated revisions

Revision 95201c9d - 2014-06-18 19:59 - Christian Miiller

[TASK] Method to find if a given path exists anywhere in the CR

Change-Id: la3ca4c318c1c5bb9ead9517bal3a2cad681864c842
Related: #58428

Releases: master, 1.1

Reviewed-on: https://review.typo3.0rg/30818

Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

Revision 4136980 - 2014-06-18 19:59 - Christian Miiller

[TASK] Method to find if a given path exists anywhere in the CR

Change-Id: 1a3ca4c318c1cbbb9ead9517bal3a2cad681864c842

Related: #58428

Releases: master, 1.1
Reviewed-on: https://review.typo3.0rg/30828

Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History

#1 - 2014-05-02 18:25 - Bastian Waidelich
- Category set to Node handling

Carsten Bleicker wrote:

copy or moving a node currently counts up the name with appending "-'.n
https://review.typo3.org/30818
https://review.typo3.org/30828

This happens in the Service\NodeController of the TYPO3.Neos package by the way.

| can approve the issue by reading the code:

Apart from the fact that this kind of logic should definitely go into TYPO3CR, just adding a counter won't work with reliably with multiple workspaces:
In the long term we want to provide some semi-automatic conflict solving when publishing nodes, but this is a major task..

A simpler approach for the meantime could be, to chose a unique suffix over all workspaces.

#2 - 2014-05-02 18:40 - Bastian Waidelich

...some more thoughts:

Better than the suggestion from above would be to ensure uniqueness upon publish not on copy:

merge/override
node properties

publish

append unigue

persist suffix

#3 - 2014-05-02 18:59 - Bastian Waidelich
- File persist_acitivy.png added

#4 - 2014-06-03 22:14 - Christian Miiller

- Status changed from New to Accepted

We should discuss a strategy for handling this and implement it.

#5 - 2014-06-18 19:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.0rg/30816

#6 - 2014-06-18 19:59 - Gerrit Code Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.0rg/30829

#7 - 2014-06-20 16:51 - Christian Miiller
- Status changed from Under Review to Resolved

Files

2015-08-04 2/3


https://git.typo3.org/Packages/TYPO3.Neos.git/blob/HEAD:/Classes/TYPO3/Neos/Service/Controller/NodeController.php#l245
https://review.typo3.org/30816
https://review.typo3.org/30829
